package com.cyksj.service.midjourney;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.MidjourneyAccount;
import com.cyksj.model.entity.MidjourneyUser;

import java.util.Date;

/**
 * @author zwhui
 * @date 2024/4/12 15:54
 */
public interface MidjourneyAccountService extends IService<MidjourneyAccount> {
    void addAccount(MidjourneyAccount midjourneyAccount) throws Exception;

    void removeAccount(Long id);

    void updateAccount(MidjourneyAccount midjourneyAccount);

    void updateStatus(Long id);

    void syncAccount(Long id);

    MidjourneyUser getMidjourneyUserToken(Long userId, Long relationId);

    void updateUserExpiryTime(Long relationId, Date expiryTime);
}
